Skip to content
POST/{organizationId}/{mandateId}/booking/events/statistics

Get events statistics

Returns aggregated statistics for events for a given mandate

Required permissions:

  • mandate.read

  • event.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

fromDatedate-timeoptional
toDatedate-timeoptional
canceledbooleanoptional
upcomingAvailabilitybooleanoptional
passedAvailabilitybooleanoptional
seatsAvailablebooleanoptional

minItems: 1

maxItems: 20

searchTermstringoptional
hasWaitlistbooleanoptional
groupBystringrequired

Options:

yearmonthdayOfWeekdayOfMonthdayOfYear

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/booking/events/statistics
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/events/statistics' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "groupBy": "year"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

attendeesintegerrequired

minimum: 0

maximum: 9007199254740991

teamMembersintegeroptional

minimum: 0

maximum: 9007199254740991

waitlistedintegerrequired

minimum: 0

maximum: 9007199254740991

offeredintegerrequired

minimum: 0

maximum: 9007199254740991

pendingintegerrequired

minimum: 0

maximum: 9007199254740991

confirmedintegerrequired

minimum: 0

maximum: 9007199254740991

canceledintegerrequired

minimum: 0

maximum: 9007199254740991

checkedInintegerrequired

minimum: 0

maximum: 9007199254740991

groupintegerrequired

maximum: 9007199254740991

exclusiveMinimum: 0

Response

200
[
  {
    "attendees": 0,
    "waitlisted": 0,
    "offered": 0,
    "pending": 0,
    "confirmed": 0,
    "canceled": 0,
    "checkedIn": 0,
    "group": 1
  }
]

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}